=== tests/analysis/CMakeLists.txt ===
add_subdirectory(fit)
