=== tests/analysis/fit/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${GSL_INCLUDE_DIR})
add_executable (fittest FitTest.cpp)

target_link_libraries(fittest ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTSVG_LIBRARY} ${QT_QTSQL_LIBRARIES})
target_link_libraries(fittest KF5::Archive KF5::XmlGui ${GSL_LIBRARIES} ${GSL_CBLAS_LIBRARIES})

IF (Qt5SerialPort_FOUND)
	target_link_libraries(fittest Qt5::SerialPort)
ENDIF ()
IF (KF5SyntaxHighlighting_FOUND)
	target_link_libraries(fittest KF5::SyntaxHighlighting)
ENDIF ()
#TODO: KF5::NewStuff

IF (CANTOR_LIBS_FOUND)
	target_link_libraries(fittest ${CANTOR_LIBS})
ENDIF ()
IF (HDF5_FOUND)
	target_link_libraries(fittest ${HDF5_C_LIBRARIES})
ENDIF ()
IF (FFTW_FOUND)
	target_link_libraries(fittest ${FFTW_LIBRARIES})
ENDIF ()
IF (NETCDF_FOUND)
	target_link_libraries(fittest ${NETCDF_LIBRARY})
ENDIF ()
IF (CFITSIO_FOUND)
	target_link_libraries(fittest ${CFITSIO_LIBRARY})
ENDIF ()
IF (USE_LIBORIGIN)
target_link_libraries(fittest liborigin-static)
ENDIF ()

target_link_libraries(fittest labplot2lib)

add_test(NAME fittest COMMAND fittest)
