=== tests/import_export/ASCII/CMakeLists.txt ===
add_executable (asciifiltertest AsciiFilterTest.cpp)

target_link_libraries(asciifiltertest ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTSVG_LIBRARY} ${QT_QTSQL_LIBRARIES})
target_link_libraries(asciifiltertest KF5::Archive KF5::XmlGui ${GSL_LIBRARIES} ${GSL_CBLAS_LIBRARIES})

IF (Qt5SerialPort_FOUND)
	target_link_libraries(asciifiltertest Qt5::SerialPort )
ENDIF ()
IF (KF5SyntaxHighlighting_FOUND)
	target_link_libraries(asciifiltertest KF5::SyntaxHighlighting )
ENDIF ()
#TODO: KF5::NewStuff

IF (CANTOR_LIBS_FOUND)
	target_link_libraries(asciifiltertest ${CANTOR_LIBS} )
ENDIF ()
IF (HDF5_FOUND)
	target_link_libraries(asciifiltertest ${HDF5_C_LIBRARIES} )
ENDIF ()
IF (FFTW_FOUND)
	target_link_libraries(asciifiltertest ${FFTW_LIBRARIES} )
ENDIF ()
IF (NETCDF_FOUND)
	target_link_libraries(asciifiltertest ${NETCDF_LIBRARY} )
ENDIF ()
IF (CFITSIO_FOUND)
	target_link_libraries(asciifiltertest ${CFITSIO_LIBRARY} )
ENDIF ()
IF (USE_LIBORIGIN)
target_link_libraries(asciifiltertest liborigin-static )
ENDIF ()

target_link_libraries(asciifiltertest labplot2lib)

add_test(NAME asciifiltertest COMMAND asciifiltertest)
