=== tests/import_export/project/CMakeLists.txt ===
add_executable (projectimporttest ProjectImportTest.cpp)

target_link_libraries(projectimporttest ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTSVG_LIBRARY} ${QT_QTSQL_LIBRARIES})
target_link_libraries(projectimporttest KF5::KDELibs4Support KF5::Archive KF5::XmlGui ${GSL_LIBRARIES} ${GSL_CBLAS_LIBRARIES})

IF (Qt5SerialPort_FOUND)
	target_link_libraries(projectimporttest Qt5::SerialPort )
ENDIF ()
IF (KF5SyntaxHighlighting_FOUND)
	target_link_libraries(projectimporttest KF5::SyntaxHighlighting )
ENDIF ()
#TODO: KF5::NewStuff

IF (CANTOR_LIBS_FOUND)
	target_link_libraries(projectimporttest ${CANTOR_LIBS} )
ENDIF ()
IF (HDF5_FOUND)
	target_link_libraries(projectimporttest ${HDF5_C_LIBRARIES} )
ENDIF ()
IF (FFTW_FOUND)
	target_link_libraries(projectimporttest ${FFTW_LIBRARIES} )
ENDIF ()
IF (NETCDF_FOUND)
	target_link_libraries(projectimporttest ${NETCDF_LIBRARY} )
ENDIF ()
IF (CFITSIO_FOUND)
	target_link_libraries(projectimporttest ${CFITSIO_LIBRARY} )
ENDIF ()
IF (USE_LIBORIGIN)
target_link_libraries(projectimporttest liborigin-static )
ENDIF ()

target_link_libraries(projectimporttest labplot2lib)

add_test(NAME projectimporttest COMMAND projectimporttest)
