=== debian/changelog ===
labplot (2.5.0-2build2) disco; urgency=medium

  * Rebuild against new libhdf5-103.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Dec 2018 12:06:28 +0100

labplot (2.5.0-2build1) disco; urgency=medium

  * No-change rebuild against libcfitsio7

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 14 Nov 2018 00:41:28 +0000

labplot (2.5.0-2) unstable; urgency=medium

  * Make the testsuite non-fatal, since at least one of the tests fails on
    almost all the architectures different than amd64.

 -- Pino Toscano <pino@debian.org>  Sat, 23 Jun 2018 19:18:33 +0200

labplot (2.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Switch from dh_install to dh_missing for --fail-missing.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Update watch file, no more "-kf5" variant is needed (it is the only one).
  * Update the build dependencies according to the upstream build system:
    - add libqt5serialport5-dev, libkf5syntaxhighlighting-dev, bison, and
      libcerf-dev
    - bump cmake to >= 3.2.0
    - bump the KF5 build dependencies to >= 5.16.0
  * Make sure the test suite can run:
    - add the xauth, and xvfb build dependencies
    - run dh_auto_test using xvfb-run
  * Ship the upstream examples.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Sat, 23 Jun 2018 09:59:56 +0200
