## labplot 2.6.0

=== tests/nsl/CMakeLists.txt ===
add_subdirectory(dft)
add_subdirectory(diff)
add_subdirectory(int)
add_subdirectory(sf)
add_subdirectory(smooth)
