=== tests/import_export/ASCII/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 add_executable (asciifiltertest AsciiFilterTest.cpp)
 
-target_link_libraries(asciifiltertest ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTSVG_LIBRARY} ${QT_QTSQL_LIBRARIES})
+target_link_libraries(asciifiltertest Qt5::Test)
 target_link_libraries(asciifiltertest KF5::Archive KF5::XmlGui ${GSL_LIBRARIES} ${GSL_CBLAS_LIBRARIES})
 
 IF (Qt5SerialPort_FOUND)
