=== debian/changelog ===
labplot (2.6.0-1build1) eoan; urgency=medium

  * No-change rebuild against libcfitsio8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 04 Aug 2019 05:52:21 +0000

labplot (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump qtbase5-dev to >= 5.6.0
    - add libkf5crash-dev, libkf5parts-dev, libkf5service-dev, zlib1g-dev, and
      liblz4-dev
    - remove libkf5kdelibs4support-dev, and libkf5kio-dev
  * Update install files.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Thu, 11 Jul 2019 06:21:34 +0200
