=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  gettext,
  pkg-kde-tools (>= 0.15.16),
  pkg-config,
- qtbase5-dev (>= 5.4.0),
+ qtbase5-dev (>= 5.6.0),
  libqt5svg5-dev,
  libqt5serialport5-dev,
  extra-cmake-modules (>= 1.3.0),
@@ -18,12 +18,13 @@
  libkf5config-dev (>= 5.16.0),
  libkf5configwidgets-dev (>= 5.16.0),
  libkf5coreaddons-dev (>= 5.16.0),
+ libkf5crash-dev (>= 5.16.0),
  libkf5doctools-dev (>= 5.16.0),
  libkf5i18n-dev (>= 5.16.0),
  libkf5iconthemes-dev (>= 5.16.0),
- libkf5kdelibs4support-dev (>= 5.16.0),
- libkf5kio-dev (>= 5.16.0),
  libkf5newstuff-dev (>= 5.16.0),
+ libkf5parts-dev (>= 5.16.0),
+ libkf5service-dev (>= 5.16.0),
  libkf5syntaxhighlighting-dev (>= 5.16.0),
  libkf5textwidgets-dev (>= 5.16.0),
  libkf5widgetsaddons-dev (>= 5.16.0),
@@ -35,9 +36,11 @@
  libfftw3-dev,
  libhdf5-dev,
  libcerf-dev,
+ zlib1g-dev,
+ liblz4-dev,
  xauth,
  xvfb,
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/labplot
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/labplot.git
 Homepage: https://edu.kde.org/applications/science/labplot/
